package com.ruoyi.ss.meterReadingRecord.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 抄记录对象 sm_meter_reading_record
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class SmMeterReadingRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 抄表记录id */
    private Long recordId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 抄表时总用电量 */
    @Excel(name = "抄表时总用电量")
    private BigDecimal totalElectriQuantity;

    @Excel(name = "距离上次抄表使用的电量")
    private BigDecimal usedElectriQuantity;
}
