package com.ruoyi.ss.transactionBill.domain.bo;

import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.transactionBill.domain.dto.PayDepositDTO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import com.ruoyi.ss.user.domain.SmUserVo;
import lombok.Data;

/**
 * 充值支付押金BO
 * @author wjh
 * 2024/8/14
 */
@Data
public class RechargePayDepositBO {

    // 参数
    private PayDepositDTO dto;

    // 订单
    private TransactionBillVO order;

    // 渠道
    private ChannelVO channel;

    // 用户
    private SmUserVo user;

}
