package com.ruoyi.common.core.domain;

import javax.validation.groups.Default;

/**
 * Spring validate group
 * @author 辉
 * 2024/3/6
 */
public interface ValidGroup {

    // 新增
    interface Create extends Default {}

    // 修改
    interface Update extends Default {}

    // 查询
    interface Query extends Default {}

    // 前台新增
    interface FrontCreate extends Default {}

    // 前台更新
    interface FrontUpdate extends Default {}

    // 充值
    interface Recharge {}

    // 提现
    interface Withdraw {}
}
